<html>
<head>
<title>Напоминалка по событиям на PHP</title>
<meta http-equiv=”Content-Type” content=”text/html; charset=windows-1251?>
<body>



<? 


/* Переменные для соединения с базой данных */ 
$hostname = "localhost";
$username = "user";
$password = "password";
$dbName = "database";
$today = getdate(); 
$toddi = "$today[year]-$today[mon]-$today[mday] $today[hours]:$today[minutes]:00"; 



/* Таблица MySQL, в которой хранятся данные */ 
$userstable = "sobbit"; 


/* создать соединение */ 
mysql_connect($hostname,$username,$password) OR DIE("Не могу создать соединение "); 
/* выбрать базу данных. Если произойдет ошибка - вывести ее */ 
mysql_select_db($dbName) or die(mysql_error());  

$query = "SELECT * FROM $userstable"; 
//$query = "SELECT * FROM $userstable"; 
$res = mysql_query($query) or die(mysql_error()); 


  while ($row=mysql_fetch_array($res)) { 



if ($row['kogda'] <  $toddi ) { 

  $to = $row['usver'];
  $subject = $row['sobit'];
  $message = $row['opsobit']."<br />".$row['kogda']."<br />Внимание!<br /><i>Это письмо отправлено <b>роботом</b> и отвечать на него не нужно!</i>";
  $headers = "From: ".$row['usver']."<".$row['usver'].">\r\nContent-type: text/html; charset=windows-1251 \r\n";
  mail ($to, $subject, $message, $headers);



} else { 


} 





  } 







/* Закрыть соединение */ 
mysql_close(); 





?> 





</center>
</body>
</html>



